ARG GOLANG_VERSION=1.23
FROM golang:$GOLANG_VERSION-alpine
RUN go install github.com/google/gnxi/gnmi_target@latest
RUN wget https://raw.githubusercontent.com/google/gnxi/master/gnmi_target/openconfig-openflow.json
EXPOSE 7030
ENTRYPOINT [ "gnmi_target" ]
CMD [ "-bind_address=:7030", "-config=openconfig-openflow.json", "-notls=true" ]
